/* eslint-disable */
<template>
  <v-row justify="center" no-gutters>
    <v-card style="width: 100%">
      <v-toolbar style="position:relative" color="white" elevation="0">
        <v-spacer />
        <v-toolbar-title class="mt-5">
          <span class="primary--text">
            <v-icon large color="primary" class="mr-2 pb-1">mdi-email</v-icon><b>Mensagem</b>
          </span>
        </v-toolbar-title>
        <v-spacer />
        <v-tooltip color="red" bottom>
          <template v-slot:activator="{ on }">
            <v-icon
              v-on="on"
              style="position:absolute; right: 15px"
              color="red"
              @click="handleClose"
              >mdi-close</v-icon
            >
          </template>
          <span><b>Fechar</b> janela</span>
        </v-tooltip>
      </v-toolbar>
      <v-card-title class="secondary--text py-3 ml-2">
        <section
          style="font-size: 1rem; line-height:1.4rem; font-weight: 300; white-space: pre-wrap; word-wrap: normal !important"
        >
          <p><span class="bold">Assunto:</span> {{ message.subject }}</p>
          <p v-if="message.sender">
            <span class="bold">Remetente:</span> {{ message.sender }} ({{ message.senderEmail }})
          </p>
          <p v-if="message.sendTo">
            <span class="bold">Enviado para:</span>
            <small>
              <span v-for="(msgTo, index) in message.sendTo" :key="msgTo.id">
                <span v-if="index < maxShowUsersSendedMessage">
                  {{ msgTo.name }} {{ msgTo.surname }} ({{ msgTo.email }});
                </span>

                <span v-if="index == maxShowUsersSendedMessage">
                  <v-chip small @click="handleShowAllSent(message.sendTo)">
                    e mais {{ message.sendTo.length - maxShowUsersSendedMessage }} pessoas.
                  </v-chip>
                </span>
              </span>
            </small>
          </p>
          <p><span class="bold">Data:</span> <span v-html="compareDate(message.data)" /></p>
        </section>
      </v-card-title>
      <v-divider class="mb-0 mx-5" />
      <!-- Conteudo messagem -->
      <v-card-text class="px-8 pt-6 pb-6">
        <section>
          <span v-html="message.msg" />
        </section>
      </v-card-text>
      <v-divider class="mb-4 mx-5" />
      <!-- Anexos -->
      <v-card-text class="pt-0 pb-2">
        <section style="font-size: 0.95rem">
          <span v-if="message.attachment && message.attachment.length > 0">
            <v-icon small>mdi-paperclip</v-icon><b>Anexos:</b> {{ message.attachment.length }}
            <br />
            <small
              >** A mala direta não armazena os anexos, cheque seu email para visualizá-los.</small
            >
            <!-- <v-chip
              v-for="attach in message.attachment"
              :key="attach.id"
              :outlined="hoverAttachment != attach.id"
              :color="hoverAttachment == attach.id ? 'secondary' : 'primary'"
              class="ml-1"
              small
              >{{ attach.name }}</v-chip
            > -->
          </span>
        </section>
      </v-card-text>
      <!-- Botão Fechar -->
      <v-card-actions class="mt-n3 pb-6 pr-6">
        <v-spacer />
        <v-btn color="lighter" text @click="handleClose">Fechar</v-btn>
      </v-card-actions>
    </v-card>
  </v-row>
</template>

<script>
import { mapMutations, mapState } from 'vuex'
import User from '../../services/user'
import Management from '../../services/management'
import { Utils } from '../../utils/utils'

export default {
  name: 'ReadMessage',
  props: {
    message: { type: Object, default: {} },
  },
  components: {},
  directives: {},
  data: () => ({
    hoverAttachment: null,
    maxShowUsersSendedMessage: 12,
  }),

  computed: {
    // ...mapState('user', ['msgText']),
  },
  created() {},
  methods: {
    // ...mapMutations('user', ['UPDATE_MSG_TEXT']),
    downloadAttachment(attachment) {
      console.log(`inicia o download de id: ${attachment}`)
    },
    handleClose() {
      this.$emit('closeMessage')
    },
    compareDate(timestamp) {
      return Utils.compareDate(timestamp)
    },
    handleShowAllSent(users) {
      console.log(users, 'mostra todos usuários que a msg foi enviada')
    },
  },
}
</script>

<style>
.bold {
  font-weight: 500;
}
</style>
